## oem-media-disablemmc-1175489-dkms 0.1stella2

=== Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
	chmod 755 -R "$(SRC)/$(NAME)-$(VERSION)"
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 755 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== oem-media-disablemmc-1175489-0.1stella2/Makefile ===
obj-m = disable_mmc.o

all:
	make -C /lib/modules/$(KVER)/build M=`pwd` modules

clean:
	make -C /lib/modules/$(KVER)/build M=`pwd` clean

=== debian/changelog ===
oem-media-disablemmc-1175489-dkms (0.1stella2) precise; urgency=low

  * This is for bug #1175489 (LP: #1175489)
  * Add copyright and modify control file.
  * This only disable JMicro, nothing should be changed for the other card readers.

 -- Tammy Yang <tammy.yang@canonical.com>  Thu, 16 May 2013 11:38:26 +0800

oem-media-disablemmc-1175489-dkms (0.1stella1) precise; urgency=low

  * Initialization

 -- Tammy Yang <tammy.yang@canonical.com>  Wed, 15 May 2013 18:52:32 +0800

=== debian/control ===
Source: oem-media-disablemmc-1175489-dkms
Section: kernel
Priority: optional
Maintainer: Canonical OEM Services <oem-services@canonical.com>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: oem-media-disablemmc-1175489-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: This oem-media-disablemmc-1175489 driver disables mmc but leaves sd working.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-media-disablemmc-1175489
NAME=oem-media-disablemmc-1175489
VERSION=0.1stella2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
